/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package JsonFse;

import org.junit.Test;
import static org.junit.Assert.*;

/**

 @author fs
 */
public class NodePairTest
{
	
	public NodePairTest()
	{
	}

	/**
	 * Test of getString method, of class NodePair.
	 */
	@Test
	public void testGetString()
	{
		NodePair instance  = new NodePair("label", "string");
		String   expResult = "\"label\"";
		String   result    = instance.getString().getAsString();
		
		System.out.println(getClass().getName() + ".getString");
		assertEquals(expResult, result);
	}

	/**
	 * Test of getValue method, of class NodePair.
	 */
	@Test
	public void testGetValue()
	{
		NodePair instance  = new NodePair("label", 123.4);
		String   expResult = "123.4";
		String   result    = instance.getValue().getAsString();

		System.out.println(getClass().getName() + ".getValue");
		assertEquals(expResult, result);
	}

	/**
	 * Test of getAsString method, of class NodePair.
	 */
	@Test
	public void testGetAsString()
	{
		NodePair instance     = new NodePair("label", 123.4);
		String   expResult    = "\"label\" : 123.4";
		int      columnOffset = 0;
		boolean  hasLabel     = true;
		String   result       = instance.getAsString(columnOffset, hasLabel);

		System.out.println(getClass().getName() + ".getAsString");
		assertEquals(expResult, result);
	}
	
}
