/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package JsonFse;

import org.junit.Test;
import static org.junit.Assert.*;

/**

 @author fs
 */
public class NodeMembersTest
{
	
	public NodeMembersTest()
	{
	}

	/**
	 * Test of getAsString method, of class NodeMembers.
	 */
	@Test
	public void testGetAsString()
	{
		int         columnOffset = 0;
		boolean     hasLabel     = false;
		NodeMembers instance     = new NodeMembers();
		String      expResult    = "";
		String      result       = instance.getAsString(columnOffset, hasLabel);
		NodePair    np;

		System.out.println(getClass().getName() + ".getAsString");
		assertEquals(expResult, result);
		
		np = new NodePair("label", "string");
		instance.add(np);
		result = instance.getAsString(columnOffset, hasLabel);
		expResult = "\"label\" : \"string\"";
//		System.out.println(result);
//		System.out.println(expResult);
		assertEquals(expResult, result);
		
		columnOffset = 5;
		result = instance.getAsString(columnOffset, hasLabel);
		expResult = "          \"label\" : \"string\"";
//		System.out.println(result);
//		System.out.println(expResult);
		assertEquals(expResult, result);
	}

	/**
	 * Test of setIdx method, of class NodeMembers.
	 */
	@Test
	public void testSetIdx()
	{
		int         idx      = 3;
		NodeMembers instance = new NodeMembers();
		int         expIdx   = 3;
		
		System.out.println(getClass().getName() + ".setIdx");
		instance.setIdx(idx);
		idx = instance.mIdx;
		assertEquals(expIdx, idx);
	}

	/**
	 * Test of getNext method, of class NodeMembers.
	 */
	@Test
	public void testGetNext()
	{
		NodeMembers instance = new NodeMembers();
		String      result, expResult;
		
		System.out.println(getClass().getName() + ".getNext");
		instance.add(new NodePair("label", "string"));
		instance.add(new NodePair("label2"));
		instance.add(new NodePair("numLabel", -123.4));
		result = instance.getNext().getAsString();
		expResult = "\"label\" : \"string\"";
//		System.out.println(result);
//		System.out.println(expResult);
		assertEquals(expResult, result);
		
		result = instance.getNext().getAsString();
		expResult = "\"label2\" : null";
		assertEquals(expResult, result);
		
		result = instance.getNext().getAsString();
		expResult = "\"numLabel\" : -123.4";
		assertEquals(expResult, result);
		
		instance.setIdx(1);
		result = instance.getNext().getAsString();
		expResult = "\"label2\" : null";
		assertEquals(expResult, result);
	}

	/**
	 * Test of get method, of class NodeMembers.
	 */
	@Test
	public void testGet()
	{
		NodeMembers instance = new NodeMembers();
		String      result, expResult;
		
		System.out.println(getClass().getName() + ".get");
		instance.add(new NodePair("label", "string"));
		instance.add(new NodePair("label2"));
		instance.add(new NodePair("numLabel", -123.4));
		result = instance.get(0).getAsString();
		expResult = "\"label\" : \"string\"";
		assertEquals(expResult, result);
		
		result = instance.get(2).getAsString();
		expResult = "\"numLabel\" : -123.4";
		assertEquals(expResult, result);
	}

	/**
	 * Test of add method, of class NodeMembers.
	 */
	@Test
	public void testAdd()
	{
		NodeMembers instance = new NodeMembers();
		String      nl       = System.getProperty("line.separator");
		String      expResult, result;

		System.out.println(getClass().getName() + ".add");
		
		instance.add(new NodePair("label", "string"));
		result = instance.getAsString();
		expResult = "\"label\" : \"string\"";
		assertEquals(expResult, result);
		
		instance.add(new NodePair("labelNum", 1.234));
		result = instance.getAsString();
		expResult = "\"label\" : \"string\"," + nl + "\"labelNum\" : 1.234";
//		System.out.println(result);
//		System.out.println(expResult);
		assertEquals(expResult, result);
	}
}
